Bug 237416 - Review Request: Berusky - 2D logic game based on an ancient puzzle Sokoban.
Summary: Review Request: Berusky - 2D logic game based on an ancient puzzle Sokoban.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-22 13:23 UTC by Martin Stransky
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 08:39:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Jochen Schmitt 2007-04-22 20:20:55 UTC
Good:
+ Naming seems ok.
+ License seems ok.
+ Local build works ok.
+ Local install and unstall works fine.
+ Local start of the game works fine.
+ Package contains verbatin copy of the license.

Bad:
- Wrong build root
BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
- Missing SMP-Flags
Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
- Source contains not an full qualified URL.
- RPMlint complaints on binary package:
E: berusky zero-length /usr/share/doc/berusky/NEWS
E: berusky zero-length /usr/share/doc/berusky/ChangeLog
W: berusky incoherent-version-in-changelog 1.1-2 1.0-1
- Docs should be in %{_docdir}/%{name}-%{version}
- Mock build fails for berusky-1.0-1
make[2]: Leaving directory `/builddir/build/BUILD/berusky-1.0/po'
Making all in src
make[2]: Entering directory `/builddir/build/BUILD/berusky-1.0/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT 2d_graph.o -MD -MP -MF ".deps/2d_graph.Tpo" -c -o
2d_graph.o 2d_graph.cpp; \
        then mv -f ".deps/2d_graph.Tpo" ".deps/2d_graph.Po"; else rm -f
".deps/2d_graph.Tpo"; exit 1; fi
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT animation.o -MD -MP -MF ".deps/animation.Tpo" -c -o
animation.o animation.cpp; \
        then mv -f ".deps/animation.Tpo" ".deps/animation.Po"; else rm -f
".deps/animation.Tpo"; exit 1; fi
In file included from animation.cpp:28:
berusky.h:48:18: error: zlib.h: No such file or directory
make[2]: *** [animation.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/berusky-1.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/berusky-1.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.57262 (%build)
I assume, that zlib-devel must be an BR in the source rpm.

Comment 2 Martin Stransky 2007-04-23 19:30:37 UTC
Should be fixed now, updated files are here:
http://people.redhat.com/stransky/berusky/

Comment 3 Jochen Schmitt 2007-04-23 19:38:11 UTC
Its look line, that you didn't upload the updated package for berusky.

Comment 4 Martin Stransky 2007-04-24 07:45:31 UTC
Hm, all files are there (at http://people.redhat.com/stransky/berusky/):

[   ] berusky-1.1-1.src.rpm      23-Apr-2007 15:28   402k  RPM package file
[   ] berusky-data-1.0-2.src.rpm 23-Apr-2007 15:28   932k  RPM package file
[   ] berusky-data.spec          23-Apr-2007 15:27     2k  
[   ] berusky.spec               23-Apr-2007 15:27     1k  

or do you mean the files at http://www.anakreon.cz/download/berusky/tar.gz/?

Comment 5 Jochen Schmitt 2007-04-24 13:59:08 UTC
I meant the files from comment #2

http://people.redhat.com/stransky/berusky/

Comment 6 Martin Stransky 2007-04-24 14:10:44 UTC
You're right. I've just updated the berusky-1.1-1.src.rpm and berusky.spec,
there was an old spec file there.

Comment 7 Jochen Schmitt 2007-04-25 16:32:12 UTC
Good:
+ Tar ball maches with upstream for package berusky-data

Bad:
- The is no version 1.1 of berusky, there is only a 1.0 version.
- Tab ball differ from upstream for package berusky.
- Strange directory /var/games in package berusky-data. Perhaps it shold be
/usr/games?
 


Comment 8 Martin Stransky 2007-04-26 08:31:22 UTC
- Strange directory /var/games in package berusky-data. Perhaps it shold be
/usr/games?

/var/games/%{name} is the right place for runtime configuration. See:

http://fedoraproject.org/wiki/SIGs/Games?action=show&redirect=Extras%2FSIGs%2FGames#head-367e7208aacfec8f8aff1b34c1795e43c0967ecd-



- The is no version 1.1 of berusky, there is only a 1.0 version.
- Tab ball differ from upstream for package berusky.

Do you mean the only problem is berusky 1.1 isn't published at upstream?
(http://www.anakreon.cz)

Comment 9 Jochen Schmitt 2007-04-26 13:51:50 UTC
Yes and the differ of the tab ball agains the upstream.

Comment 10 Martin Stransky 2007-04-28 09:36:55 UTC
Okay, all files are at upstream now (http://www.anakreon.cz/en/Download.htm)

Comment 11 Jochen Schmitt 2007-05-07 17:21:34 UTC
Good:
+ Namings seems ok.
+ Tar ball matches with upstream.

Bad:
- Mock build fails for berusky-1.1.
aking all in src
make[2]: Entering directory `/builddir/build/BUILD/berusky-1.1/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT 2d_graph.o -MD -MP -MF ".
deps/2d_graph.Tpo" -c -o 2d_graph.o 2d_graph.cpp; \
        then mv -f ".deps/2d_graph.Tpo" ".deps/2d_graph.Po"; else rm -f
".deps/2d_graph.Tpo"; exit 1; fi
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT animation.o -MD -MP -MF "
.deps/animation.Tpo" -c -o animation.o animation.cpp; \
        then mv -f ".deps/animation.Tpo" ".deps/animation.Po"; else rm -f
".deps/animation.Tpo"; exit 1; fi
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT berusky.o -MD -MP -MF ".d
eps/berusky.Tpo" -c -o berusky.o berusky.cpp; \
        then mv -f ".deps/berusky.Tpo" ".deps/berusky.Po"; else rm -f
".deps/berusky.Tpo"; exit 1; fi
berusky.cpp:33:20: error: curses.h: No such file or directory
if g++ -DHAVE_CONFIG_H -I. -I. -I..    -Wall -g -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT berusky_gui.o -MD -MP -MF
 ".deps/berusky_gui.Tpo" -c -o berusky_gui.o berusky_gui.cpp; \
        then mv -f ".deps/berusky_gui.Tpo" ".deps/berusky_gui.Po"; else rm -f
".deps/berusky_gui.Tpo"; exit 1; fi
make[2]: *** [berusky.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/builddir/build/BUILD/berusky-1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/berusky-1.1'
make: *** [all] Error 2

I assume, that you have to add ncurses-devel at an BR.

Best Regards:

Jochen Schmitt




Comment 12 Martin Stransky 2007-05-08 07:23:04 UTC
oops, ncurses isn't used in berusky, i'll remove it. thanks.

Comment 13 Martin Stransky 2007-05-08 08:32:42 UTC
http://people.redhat.com/stransky/berusky/

There's the berusky-1.1-2.src.rpm package with added patch for building in mock,
it should fine work now. An updated spec file it there, too.

Comment 14 Jochen Schmitt 2007-05-08 15:30:54 UTC
Good:
+ Mock build works fine
+ Rpmlint is fine on source rpm
+ Rpmlint is fine on binary package
+ Start of application works fine.
+ Package contains verbatin copy of the license.
+ License seems ok.


Bad:
- you should add a %build section in berusky-data
- %{_docdir}/berusky-1.1/berusky should be %{_docdir}/berusky-1.1/



Comment 15 Martin Stransky 2007-05-08 20:47:23 UTC
okay, fixed at http://people.redhat.com/stransky/berusky/
(packages berusky-1.1-3.src.rpm and berusky-data-1.0-3.src.rpm)

Comment 16 Martin Stransky 2007-05-16 08:18:29 UTC
ping. any update here?

Comment 17 Jochen Schmitt 2007-05-22 15:25:42 UTC
Question:

Why I could find the RPM SPEC files on %{_datadir}/berusky?

Best Regards:

Jochen Schmitt

Comment 18 Martin Stransky 2007-05-23 07:15:29 UTC
Ehh, okay, I can remove them. 

But please, attach ALL your objections at once and I'll fix them all, otherwise
this package never goes to distribution.

Comment 19 Martin Stransky 2007-05-23 07:33:07 UTC
okay, spec files were removed from binary package (berusky-1.1-4.src.rpm)

fixed at http://people.redhat.com/stransky/berusky/

Comment 20 Jochen Schmitt 2007-05-23 15:08:20 UTC
Thank you for your fix.

There was no other objectives which block the approvement of your package, so
your package is APPROVED !!!

Comment 21 Martin Stransky 2007-05-23 15:12:28 UTC
Great, Thanks!

Comment 22 Martin Stransky 2007-05-24 10:17:57 UTC
New Package CVS Request
=======================
Package Name: berusky
Short Description: A sokoban clone
Owners: stransky@redhat.com
Branches: FC-6 F-7
InitialCC: 

New Package CVS Request
=======================
Package Name: berusky-data
Short Description: A data file for Berusky
Owners: stransky@redhat.com
Branches: FC-6 F-7
InitialCC: 

Comment 23 Tom "spot" Callaway 2007-05-24 15:13:17 UTC
cvs done

Comment 24 Martin Stransky 2007-05-26 08:39:38 UTC
build is done, closing and thanks to all.


Note You need to log in before you can comment on or make changes to this bug.